View Issue Details

IDProjectCategoryView StatusLast Update
0001648Database Comparer utilityGeneralpublic2020-11-10 09:48
Reporterhubeny Assigned Tobarry  
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
PlatformFirebirdOSWindows 7 
Fixed in Version8.0.0.2359 
Summary0001648: Database Comparer Utility fail on syntax analysis of CTE in firebird namely CTE where "WITH recursive" is USED
DescriptionTHe database comparer fail to compare stored procedures of our database on firebird version 2.5.9. The comparer fails when trying to syntactycally analayze stored procedure which uses select with CTE defined by "WITH recursive". A screenshot is added.
TagsNo tags attached.

Activities

hubeny

2020-08-25 17:08

reporter  

screenshot.png (192,088 bytes)   
screenshot.png (192,088 bytes)   

barry

2020-11-10 08:52

administrator   ~0004426

Can You send full text of problematic procedure?

barry

2020-11-10 09:48

administrator   ~0004427

(WITH [RECURSIVE] ...) in expression fixed.

Issue History

Date Modified Username Field Change
2020-08-25 17:08 hubeny New Issue
2020-08-25 17:08 hubeny File Added: screenshot.png
2020-09-15 23:22 shirokov Assigned To => barry
2020-09-15 23:22 shirokov Status new => assigned
2020-11-10 08:40 barry Status assigned => acknowledged
2020-11-10 08:52 barry Note Added: 0004426
2020-11-10 09:41 barry Status acknowledged => confirmed
2020-11-10 09:48 barry Status confirmed => resolved
2020-11-10 09:48 barry Resolution open => fixed
2020-11-10 09:48 barry Fixed in Version => 8.0.0.2359
2020-11-10 09:48 barry Note Added: 0004427